Package org.apache.uima.cas.impl

# Class LLUnambiguousIteratorImpl<T extends FeatureStructure>

java.lang.Object
org.apache.uima.cas.impl.FsIterator_subtypes_snapshot<T>
org.apache.uima.cas.impl.LLUnambiguousIteratorImpl<T>

Type Parameters:
  `T` - the type this iterator is over (including subtypes)

All Implemented Interfaces:
  `Comparator<FeatureStructure>`, `Iterator<T>`, `ListIterator<T>`, `FSIterator<T>`, `LowLevelIterator<T>`

public class LLUnambiguousIteratorImpl<T extends FeatureStructure> extends FsIterator_subtypes_snapshot<T>
Implements a low level ambiguous or unambiguous iterator over some type T which doesn't need to be a subtype of Annotation. - This iterator skips types which are not Annotation or a subtype of Annotation.

- ## Field Summary

  ### Fields inherited from interface org.apache.uima.cas.impl.LowLevelIterator

  `FS_ITERATOR_LOW_LEVEL_EMPTY, IS_ORDERED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLUnambiguousIteratorImpl(LowLevelIterator<T> it)`

- ## Method Summary

  ### Methods inherited from class org.apache.uima.cas.impl.FsIterator_subtypes_snapshot

  `compare, copy, get, getComparator, getNvc, isIndexesHaveBeenUpdated, isValid, ll_getIndex, ll_indexSizeMaybeNotCurrent, ll_maxAnnotSpan, maybeReinitIterator, moveToFirstNoReinit, moveToLastNoReinit, moveToNext, moveToNextNvc, moveToNoReinit, moveToPrevious, moveToPreviousNvc, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

  ### Methods inherited from interface org.apache.uima.cas.FSIterator

  `add, getType, hasNext, hasPrevious, next, nextIndex, nextNvc, previous, previousIndex, previousNvc, remove, set, spliterator, stream`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface org.apache.uima.cas.impl.LowLevelIterator

  `getArrayList, isMoveToSupported, ll_get, ll_remove, moveTo, moveTo, moveToFirst, moveToLast`

- ## Constructor Details

  - ### LLUnambiguousIteratorImpl

    public LLUnambiguousIteratorImpl(LowLevelIterator<T> it)